Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.util
Class DxConst

    java.lang.Object
      com.novell.nds.dirxml.util.DxConst

    public abstract class DxConst

extends Object

Class containing various DirXML-related constants.

Field Summary
`static int` | `ASSOCIATION_ANY` Search wildcard for finding association values with any state.
`static int` | `ASSOCIATION_DISABLED` Value for the state portion of a DirXML-Association value indicating that the associated object will not be synchronized.
`static int` | `ASSOCIATION_MANUAL` Value for the state portion of a DirXML-Association value indicating that the association value was manually set (i.e., the engine didn't set the state).
`static int` | `ASSOCIATION_MASK` Mask for those bits in association state values that are currently used.
`static int` | `ASSOCIATION_MIGRATE` Value for the state portion of a DirXML-Association value indicating that the associated object should be migrated to the application.
`static int` | `ASSOCIATION_PENDING` Value for the state portion of a DirXML-Association value indicating that the associated object has been processed but not synchronized.
`static int` | `ASSOCIATION_PROCESSED` Value for the state portion of a DirXML-Association value indicating that the associated object has been successfully synchronized.
`static int` | `LOG_EV_ADD_ASSOCIATION`
`static int` | `LOG_EV_ADD_ENTRY`
`static int` | `LOG_EV_ADD_VALUE`
`static int` | `LOG_EV_CHANGE_PASSWORD`
`static int` | `LOG_EV_CHECK_OBJECT_PASSWORD`
`static int` | `LOG_EV_CHECK_PASSWORD`
`static int` | `LOG_EV_CLEAR_ATTRIBUTE`
`static int` | `LOG_EV_CLEAR_SSO_CREDENTIAL`
`static int` | `LOG_EV_COMMAND_TRANSFORMATION`
`static int` | `LOG_EV_CREATE_RULE`
`static int` | `LOG_EV_CUSTOM_OP`
`static int` | `LOG_EV_DIRXML_ERROR`
`static int` | `LOG_EV_DIRXML_WARNING`
`static int` | `LOG_EV_DRIVER_START`
`static int` | `LOG_EV_DRIVER_STOP`
`static int` | `LOG_EV_DX_ABORT_JOB`
`static int` | `LOG_EV_DX_CACHE_LIMIT_CFG`
`static int` | `LOG_EV_DX_CACHE_UTIL`
`static int` | `LOG_EV_DX_CHECK_OBJECT_PASSWORD`
`static int` | `LOG_EV_DX_DRIVER_SET_CFG`
`static int` | `LOG_EV_DX_DRIVER_START_OPTION_CFG`
`static int` | `LOG_EV_DX_GET_SERVER_CERT`
`static int` | `LOG_EV_DX_INIT_DRIVER_OBJECT`
`static int` | `LOG_EV_DX_KEYED_PASSWORD_SET`
`static int` | `LOG_EV_DX_LOG_EVENTS_CFG`
`static int` | `LOG_EV_DX_MIGRATE_APP`
`static int` | `LOG_EV_DX_NOTIFY_JOB_UPDATE`
`static int` | `LOG_EV_DX_OPEN_DRIVER_ACTION`
`static int` | `LOG_EV_DX_QUEUE_EVENT`
`static int` | `LOG_EV_DX_REGENERATE_KEY`
`static int` | `LOG_EV_DX_REMOTE_LOADER_PASSWORD_SET`
`static int` | `LOG_EV_DX_RESYNC_DRIVER`
`static int` | `LOG_EV_DX_SHIM_PASSWORD_SET`
`static int` | `LOG_EV_DX_START`
`static int` | `LOG_EV_DX_START_JOB`
`static int` | `LOG_EV_EVENT_TRANSFORMATION`
`static int` | `LOG_EV_GET_NAMED_PASSWORD`
`static int` | `LOG_EV_INPUT_MAPPING_RULE`
`static int` | `LOG_EV_INPUT_TRANSFORMATION`
`static int` | `LOG_EV_INPUT_XML`
`static int` | `LOG_EV_JOB_RESULT_ABORTED`
`static int` | `LOG_EV_JOB_RESULT_ERROR`
`static int` | `LOG_EV_JOB_RESULT_SUCCESS`
`static int` | `LOG_EV_JOB_RESULT_WARNING`
`static int` | `LOG_EV_MATCHING_RULE`
`static int` | `LOG_EV_MERGE`
`static int` | `LOG_EV_MIGRATE`
`static int` | `LOG_EV_MOD_ADD_VALUE`
`static int` | `LOG_EV_MOD_REMOVE_VALUE`
`static int` | `LOG_EV_MODIFY_ENTRY`
`static int` | `LOG_EV_MOVE_ENTRY`
`static int` | `LOG_EV_OUTPUT_MAPPING_RULE`
`static int` | `LOG_EV_OUTPUT_TRANSFORMATION`
`static int` | `LOG_EV_PASSWORD_RESET`
`static int` | `LOG_EV_PASSWORD_SYNC`
`static int` | `LOG_EV_PLACEMENT_RULE`
`static int` | `LOG_EV_PUBLISHER_FILTER`
`static int` | `LOG_EV_QUERY_SCHEMA`
`static int` | `LOG_EV_REMOVE_ASSOCIATION`
`static int` | `LOG_EV_REMOVE_ENTRY`
`static int` | `LOG_EV_RENAME_ENTRY`
`static int` | `LOG_EV_RESET_ATTRIBUTES`
`static int` | `LOG_EV_RESYNC_DRIVER`
`static int` | `LOG_EV_SEARCH`
`static int` | `LOG_EV_SET_SSO_CREDENTIAL`
`static int` | `LOG_EV_SET_SSO_PASSPHRASE`
`static int` | `LOG_EV_STATUS_ERROR`
`static int` | `LOG_EV_STATUS_FATAL`
`static int` | `LOG_EV_STATUS_OTHER`
`static int` | `LOG_EV_STATUS_RETRY`
`static int` | `LOG_EV_STATUS_SUCCESS`
`static int` | `LOG_EV_STATUS_WARNING`
`static int` | `LOG_EV_SYNC`
`static int` | `LOG_EV_USER_AGENT_REQUEST`
`static int` | `LOG_EV_USER_DEFINED_END`
`static int` | `LOG_EV_USER_DEFINED_START`
`static int` | `MIN_DIRXML_2_DR1_VERSION` Version number of DirXML 2 DR1.
`static int` | `MIN_DIRXML_2_SEAFANG_VERSION` Version number of DirXML "Seafang"
`static int` | `MIN_DIRXML_2_SPITFIRE_SP1_VERSION` Version number of DirXML "Spitfire SP1"
`static int` | `MIN_DIRXML_2_SPITFIRE_VERSION` Version number of DirXML "Spitfire"
`static int` | `MIN_DIRXML_2_VERSION` Mininum version number in int form of DirXML 2.
`protected static String` | `STR_START_OPTION_AUTO`
`protected static String` | `STR_START_OPTION_DISABLED`
`protected static String` | `STR_START_OPTION_MANUAL`
`protected static String` | `STR_START_OPTION_OVERFLOW_AUTO`
`protected static String` | `STR_START_OPTION_OVERFLOW_MANUAL`
`protected static String` | `STR_START_OPTION_UNKNOWN`
`protected static String` | `STR_STATE_GET_SCHEMA`
`protected static String` | `STR_STATE_RUNNING`
`protected static String` | `STR_STATE_SHUTDOWN_PENDING`
`protected static String` | `STR_STATE_STARTING`
`protected static String` | `STR_STATE_STOPPED`
`protected static String` | `STR_STATE_UNKNOWN`
`static int` | `VR_DRIVER_AUTO_START` Startup option value for a driver indicating that the driver will cache events, will be started automatically when DirXML starts, and may also be started using the DSVR_DRIVER_STATE subverb of DSV_SET_REPLICATION_FILTER.
`static int` | `VR_DRIVER_CACHE_OVERFLOW_AUTO` Startup option value for a driver indicating that the driver is in a cache overflow state and that its previous start option value was VR_DRIVER_AUTO_START.
`static int` | `VR_DRIVER_CACHE_OVERFLOW_MANUAL` Startup option value for a driver indicating that the driver is in a cache overflow state and that its previous start option value was VR_DRIVER_MANUAL_START.
`static int` | `VR_DRIVER_DISABLED` Startup option value for a driver indicating that the driver will not cache events and may not be started.
`static int` | `VR_DRIVER_GET_SCHEMA` This value may be used with the DSVR_DRIVER_STATE subverb of the DSV_SET_REPLICATION_FILTER verb to cause a driver to retrieve the applications schema.
`static int` | `VR_DRIVER_MANUAL_START` Startup option value for a driver indicating that the driver will cache events and may be started using the DSVR_DRIVER_STATE subverb of DSV_SET_REPLICATION_FILTER.
`static int` | `VR_DRIVER_RUNNING` Driver state value indicating the driver is running.
`static int` | `VR_DRIVER_SHUTDOWN_PENDING` Driver state value indicating the driver is in the process of starting.
`static int` | `VR_DRIVER_STARTING` Driver state value indicating the driver is in the process of starting.
`static int` | `VR_DRIVER_STOPPED` Driver state value indicating the driver is stopped.

Constructor Summary
`DxConst()`

Method Summary
`static String` | `getDirXMLVersionString(int version)` Return a dot-delimited string given a DirXML version number, eg., "2.0.0.0".
`static String` | `getDriverStartOptionString(int startOption)` Return human-readable string corresponding to passed driver start option value.
`static String` | `getDriverStateString(int state)` Return human-readable string corresponding to passed driver state value.
`static int` | `getLogEventListSize()` Return size needed for an array or list that contains all non-user-defined log event ids.
`static String` | `getLogEventNumberDescription(int eventNumber)` Return a human-readable description of an log event id.
`static int` | `getMaxLogEventNumber()` Return the maximum log event number.
`static int` | `getMinLogEventNumber()` Return the minimum log event number.
`static int[]` | `parseDirXMLVersion(int version)` Parse a DirXML version number into its parts.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MIN_DIRXML_2_VERSION

    public static final int MIN_DIRXML_2_VERSION

  Mininum version number in int form of DirXML 2.

  A DirXML version number (as of DirXML 2) is a 32-bit value as follows (starting at the high-order bit):
  4 bits - major version
  4 bits - minor version
  8 bits - patch or service pack level
  16 bits - build number

  See Also:
    `parseDirXMLVersion(int)`, `getDirXMLVersionString(int)`, Constant Field Values

### MIN_DIRXML_2_DR1_VERSION

    public static final int MIN_DIRXML_2_DR1_VERSION

  Version number of DirXML 2 DR1.

  See Also:
    Constant Field Values

### MIN_DIRXML_2_SPITFIRE_VERSION

    public static final int MIN_DIRXML_2_SPITFIRE_VERSION

  Version number of DirXML "Spitfire"

  See Also:
    Constant Field Values

### MIN_DIRXML_2_SPITFIRE_SP1_VERSION

    public static final int MIN_DIRXML_2_SPITFIRE_SP1_VERSION

  Version number of DirXML "Spitfire SP1"

  See Also:
    Constant Field Values

### MIN_DIRXML_2_SEAFANG_VERSION

    public static final int MIN_DIRXML_2_SEAFANG_VERSION

  Version number of DirXML "Seafang"

  See Also:
    Constant Field Values

### VR_DRIVER_STOPPED

    public static final int VR_DRIVER_STOPPED

  Driver state value indicating the driver is stopped.

  See Also:
    Constant Field Values

### VR_DRIVER_STARTING

    public static final int VR_DRIVER_STARTING

  Driver state value indicating the driver is in the process of starting. This value may be used with the DSVR_DRIVER_STATE subverb of the DSV_SET_REPLICATION_FILTER verb to start a driver.

  See Also:
    Constant Field Values

### VR_DRIVER_RUNNING

    public static final int VR_DRIVER_RUNNING

  Driver state value indicating the driver is running.

  See Also:
    Constant Field Values

### VR_DRIVER_SHUTDOWN_PENDING

    public static final int VR_DRIVER_SHUTDOWN_PENDING

  Driver state value indicating the driver is in the process of starting. This value may be used with the DSVR_DRIVER_STATE subverb of the DSV_SET_REPLICATION_FILTER verb to stop a running driver.

  See Also:
    Constant Field Values

### VR_DRIVER_GET_SCHEMA

    public static final int VR_DRIVER_GET_SCHEMA

  This value may be used with the DSVR_DRIVER_STATE subverb of the DSV_SET_REPLICATION_FILTER verb to cause a driver to retrieve the applications schema.

  See Also:
    Constant Field Values

### VR_DRIVER_DISABLED

    public static final int VR_DRIVER_DISABLED

  Startup option value for a driver indicating that the driver will not cache events and may not be started.

  See Also:
    Constant Field Values

### VR_DRIVER_MANUAL_START

    public static final int VR_DRIVER_MANUAL_START

  Startup option value for a driver indicating that the driver will cache events and may be started using the DSVR_DRIVER_STATE subverb of DSV_SET_REPLICATION_FILTER.

  See Also:
    Constant Field Values

### VR_DRIVER_AUTO_START

    public static final int VR_DRIVER_AUTO_START

  Startup option value for a driver indicating that the driver will cache events, will be started automatically when DirXML starts, and may also be started using the DSVR_DRIVER_STATE subverb of DSV_SET_REPLICATION_FILTER.

  See Also:
    Constant Field Values

### VR_DRIVER_CACHE_OVERFLOW_MANUAL

    public static final int VR_DRIVER_CACHE_OVERFLOW_MANUAL

  Startup option value for a driver indicating that the driver is in a cache overflow state and that its previous start option value was VR_DRIVER_MANUAL_START.

  See Also:
    Constant Field Values

### VR_DRIVER_CACHE_OVERFLOW_AUTO

    public static final int VR_DRIVER_CACHE_OVERFLOW_AUTO

  Startup option value for a driver indicating that the driver is in a cache overflow state and that its previous start option value was VR_DRIVER_AUTO_START.

  See Also:
    Constant Field Values

### ASSOCIATION_DISABLED

    public static final int ASSOCIATION_DISABLED

  Value for the state portion of a DirXML-Association value indicating that the associated object will not be synchronized.

  See Also:
    Constant Field Values

### ASSOCIATION_PROCESSED

    public static final int ASSOCIATION_PROCESSED

  Value for the state portion of a DirXML-Association value indicating that the associated object has been successfully synchronized.

  See Also:
    Constant Field Values

### ASSOCIATION_PENDING

    public static final int ASSOCIATION_PENDING

  Value for the state portion of a DirXML-Association value indicating that the associated object has been processed but not synchronized.

  See Also:
    Constant Field Values

### ASSOCIATION_MANUAL

    public static final int ASSOCIATION_MANUAL

  Value for the state portion of a DirXML-Association value indicating that the association value was manually set (i.e., the engine didn't set the state).

  See Also:
    Constant Field Values

### ASSOCIATION_MIGRATE

    public static final int ASSOCIATION_MIGRATE

  Value for the state portion of a DirXML-Association value indicating that the associated object should be migrated to the application.

  See Also:
    Constant Field Values

### ASSOCIATION_MASK

    public static final int ASSOCIATION_MASK

  Mask for those bits in association state values that are currently used.

  See Also:
    Constant Field Values

### ASSOCIATION_ANY

    public static final int ASSOCIATION_ANY

  Search wildcard for finding association values with any state.

  See Also:
    Constant Field Values

### LOG_EV_STATUS_SUCCESS

    public static final int LOG_EV_STATUS_SUCCESS

See Also:
  Constant Field Values

### LOG_EV_STATUS_RETRY

    public static final int LOG_EV_STATUS_RETRY

See Also:
  Constant Field Values

### LOG_EV_STATUS_WARNING

    public static final int LOG_EV_STATUS_WARNING

See Also:
  Constant Field Values

### LOG_EV_STATUS_ERROR

    public static final int LOG_EV_STATUS_ERROR

See Also:
  Constant Field Values

### LOG_EV_STATUS_FATAL

    public static final int LOG_EV_STATUS_FATAL

See Also:
  Constant Field Values

### LOG_EV_STATUS_OTHER

    public static final int LOG_EV_STATUS_OTHER

See Also:
  Constant Field Values

### LOG_EV_SEARCH

    public static final int LOG_EV_SEARCH

See Also:
  Constant Field Values

### LOG_EV_ADD_ENTRY

    public static final int LOG_EV_ADD_ENTRY

See Also:
  Constant Field Values

### LOG_EV_REMOVE_ENTRY

    public static final int LOG_EV_REMOVE_ENTRY

See Also:
  Constant Field Values

### LOG_EV_MODIFY_ENTRY

    public static final int LOG_EV_MODIFY_ENTRY

See Also:
  Constant Field Values

### LOG_EV_RENAME_ENTRY

    public static final int LOG_EV_RENAME_ENTRY

See Also:
  Constant Field Values

### LOG_EV_MOVE_ENTRY

    public static final int LOG_EV_MOVE_ENTRY

See Also:
  Constant Field Values

### LOG_EV_ADD_ASSOCIATION

    public static final int LOG_EV_ADD_ASSOCIATION

See Also:
  Constant Field Values

### LOG_EV_REMOVE_ASSOCIATION

    public static final int LOG_EV_REMOVE_ASSOCIATION

See Also:
  Constant Field Values

### LOG_EV_QUERY_SCHEMA

    public static final int LOG_EV_QUERY_SCHEMA

See Also:
  Constant Field Values

### LOG_EV_CHECK_PASSWORD

    public static final int LOG_EV_CHECK_PASSWORD

See Also:
  Constant Field Values

### LOG_EV_CHECK_OBJECT_PASSWORD

    public static final int LOG_EV_CHECK_OBJECT_PASSWORD

See Also:
  Constant Field Values

### LOG_EV_CHANGE_PASSWORD

    public static final int LOG_EV_CHANGE_PASSWORD

See Also:
  Constant Field Values

### LOG_EV_SYNC

    public static final int LOG_EV_SYNC

See Also:
  Constant Field Values

### LOG_EV_INPUT_XML

    public static final int LOG_EV_INPUT_XML

See Also:
  Constant Field Values

### LOG_EV_INPUT_TRANSFORMATION

    public static final int LOG_EV_INPUT_TRANSFORMATION

See Also:
  Constant Field Values

### LOG_EV_OUTPUT_TRANSFORMATION

    public static final int LOG_EV_OUTPUT_TRANSFORMATION

See Also:
  Constant Field Values

### LOG_EV_EVENT_TRANSFORMATION

    public static final int LOG_EV_EVENT_TRANSFORMATION

See Also:
  Constant Field Values

### LOG_EV_PLACEMENT_RULE

    public static final int LOG_EV_PLACEMENT_RULE

See Also:
  Constant Field Values

### LOG_EV_CREATE_RULE

    public static final int LOG_EV_CREATE_RULE

See Also:
  Constant Field Values

### LOG_EV_INPUT_MAPPING_RULE

    public static final int LOG_EV_INPUT_MAPPING_RULE

See Also:
  Constant Field Values

### LOG_EV_OUTPUT_MAPPING_RULE

    public static final int LOG_EV_OUTPUT_MAPPING_RULE

See Also:
  Constant Field Values

### LOG_EV_MATCHING_RULE

    public static final int LOG_EV_MATCHING_RULE

See Also:
  Constant Field Values

### LOG_EV_COMMAND_TRANSFORMATION

    public static final int LOG_EV_COMMAND_TRANSFORMATION

See Also:
  Constant Field Values

### LOG_EV_PUBLISHER_FILTER

    public static final int LOG_EV_PUBLISHER_FILTER

See Also:
  Constant Field Values

### LOG_EV_USER_AGENT_REQUEST

    public static final int LOG_EV_USER_AGENT_REQUEST

See Also:
  Constant Field Values

### LOG_EV_RESYNC_DRIVER

    public static final int LOG_EV_RESYNC_DRIVER

See Also:
  Constant Field Values

### LOG_EV_MIGRATE

    public static final int LOG_EV_MIGRATE

See Also:
  Constant Field Values

### LOG_EV_DRIVER_START

    public static final int LOG_EV_DRIVER_START

See Also:
  Constant Field Values

### LOG_EV_DRIVER_STOP

    public static final int LOG_EV_DRIVER_STOP

See Also:
  Constant Field Values

### LOG_EV_PASSWORD_SYNC

    public static final int LOG_EV_PASSWORD_SYNC

See Also:
  Constant Field Values

### LOG_EV_PASSWORD_RESET

    public static final int LOG_EV_PASSWORD_RESET

See Also:
  Constant Field Values

### LOG_EV_DIRXML_ERROR

    public static final int LOG_EV_DIRXML_ERROR

See Also:
  Constant Field Values

### LOG_EV_DIRXML_WARNING

    public static final int LOG_EV_DIRXML_WARNING

See Also:
  Constant Field Values

### LOG_EV_CUSTOM_OP

    public static final int LOG_EV_CUSTOM_OP

See Also:
  Constant Field Values

### LOG_EV_CLEAR_ATTRIBUTE

    public static final int LOG_EV_CLEAR_ATTRIBUTE

See Also:
  Constant Field Values

### LOG_EV_MOD_ADD_VALUE

    public static final int LOG_EV_MOD_ADD_VALUE

See Also:
  Constant Field Values

### LOG_EV_MOD_REMOVE_VALUE

    public static final int LOG_EV_MOD_REMOVE_VALUE

See Also:
  Constant Field Values

### LOG_EV_MERGE

    public static final int LOG_EV_MERGE

See Also:
  Constant Field Values

### LOG_EV_GET_NAMED_PASSWORD

    public static final int LOG_EV_GET_NAMED_PASSWORD

See Also:
  Constant Field Values

### LOG_EV_RESET_ATTRIBUTES

    public static final int LOG_EV_RESET_ATTRIBUTES

See Also:
  Constant Field Values

### LOG_EV_ADD_VALUE

    public static final int LOG_EV_ADD_VALUE

See Also:
  Constant Field Values

### LOG_EV_SET_SSO_CREDENTIAL

    public static final int LOG_EV_SET_SSO_CREDENTIAL

See Also:
  Constant Field Values

### LOG_EV_CLEAR_SSO_CREDENTIAL

    public static final int LOG_EV_CLEAR_SSO_CREDENTIAL

See Also:
  Constant Field Values

### LOG_EV_SET_SSO_PASSPHRASE

    public static final int LOG_EV_SET_SSO_PASSPHRASE

See Also:
  Constant Field Values

### LOG_EV_JOB_RESULT_SUCCESS

    public static final int LOG_EV_JOB_RESULT_SUCCESS

See Also:
  Constant Field Values

### LOG_EV_JOB_RESULT_WARNING

    public static final int LOG_EV_JOB_RESULT_WARNING

See Also:
  Constant Field Values

### LOG_EV_JOB_RESULT_ERROR

    public static final int LOG_EV_JOB_RESULT_ERROR

See Also:
  Constant Field Values

### LOG_EV_JOB_RESULT_ABORTED

    public static final int LOG_EV_JOB_RESULT_ABORTED

See Also:
  Constant Field Values

### LOG_EV_USER_DEFINED_START

    public static final int LOG_EV_USER_DEFINED_START

See Also:
  Constant Field Values

### LOG_EV_USER_DEFINED_END

    public static final int LOG_EV_USER_DEFINED_END

See Also:
  Constant Field Values

### LOG_EV_DX_START

    public static final int LOG_EV_DX_START

See Also:
  Constant Field Values

### LOG_EV_DX_LOG_EVENTS_CFG

    public static final int LOG_EV_DX_LOG_EVENTS_CFG

See Also:
  Constant Field Values

### LOG_EV_DX_CACHE_LIMIT_CFG

    public static final int LOG_EV_DX_CACHE_LIMIT_CFG

See Also:
  Constant Field Values

### LOG_EV_DX_DRIVER_SET_CFG

    public static final int LOG_EV_DX_DRIVER_SET_CFG

See Also:
  Constant Field Values

### LOG_EV_DX_DRIVER_START_OPTION_CFG

    public static final int LOG_EV_DX_DRIVER_START_OPTION_CFG

See Also:
  Constant Field Values

### LOG_EV_DX_RESYNC_DRIVER

    public static final int LOG_EV_DX_RESYNC_DRIVER

See Also:
  Constant Field Values

### LOG_EV_DX_MIGRATE_APP

    public static final int LOG_EV_DX_MIGRATE_APP

See Also:
  Constant Field Values

### LOG_EV_DX_SHIM_PASSWORD_SET

    public static final int LOG_EV_DX_SHIM_PASSWORD_SET

See Also:
  Constant Field Values

### LOG_EV_DX_KEYED_PASSWORD_SET

    public static final int LOG_EV_DX_KEYED_PASSWORD_SET

See Also:
  Constant Field Values

### LOG_EV_DX_REMOTE_LOADER_PASSWORD_SET

    public static final int LOG_EV_DX_REMOTE_LOADER_PASSWORD_SET

See Also:
  Constant Field Values

### LOG_EV_DX_REGENERATE_KEY

    public static final int LOG_EV_DX_REGENERATE_KEY

See Also:
  Constant Field Values

### LOG_EV_DX_GET_SERVER_CERT

    public static final int LOG_EV_DX_GET_SERVER_CERT

See Also:
  Constant Field Values

### LOG_EV_DX_CACHE_UTIL

    public static final int LOG_EV_DX_CACHE_UTIL

See Also:
  Constant Field Values

### LOG_EV_DX_CHECK_OBJECT_PASSWORD

    public static final int LOG_EV_DX_CHECK_OBJECT_PASSWORD

See Also:
  Constant Field Values

### LOG_EV_DX_INIT_DRIVER_OBJECT

    public static final int LOG_EV_DX_INIT_DRIVER_OBJECT

See Also:
  Constant Field Values

### LOG_EV_DX_NOTIFY_JOB_UPDATE

    public static final int LOG_EV_DX_NOTIFY_JOB_UPDATE

See Also:
  Constant Field Values

### LOG_EV_DX_OPEN_DRIVER_ACTION

    public static final int LOG_EV_DX_OPEN_DRIVER_ACTION

See Also:
  Constant Field Values

### LOG_EV_DX_QUEUE_EVENT

    public static final int LOG_EV_DX_QUEUE_EVENT

See Also:
  Constant Field Values

### LOG_EV_DX_START_JOB

    public static final int LOG_EV_DX_START_JOB

See Also:
  Constant Field Values

### LOG_EV_DX_ABORT_JOB

    public static final int LOG_EV_DX_ABORT_JOB

See Also:
  Constant Field Values

### STR_STATE_STOPPED

    protected static final String STR_STATE_STOPPED

See Also:
  Constant Field Values

### STR_STATE_STARTING

    protected static final String STR_STATE_STARTING

See Also:
  Constant Field Values

### STR_STATE_RUNNING

    protected static final String STR_STATE_RUNNING

See Also:
  Constant Field Values

### STR_STATE_SHUTDOWN_PENDING

    protected static final String STR_STATE_SHUTDOWN_PENDING

See Also:
  Constant Field Values

### STR_STATE_GET_SCHEMA

    protected static final String STR_STATE_GET_SCHEMA

See Also:
  Constant Field Values

### STR_STATE_UNKNOWN

    protected static final String STR_STATE_UNKNOWN

See Also:
  Constant Field Values

### STR_START_OPTION_DISABLED

    protected static final String STR_START_OPTION_DISABLED

See Also:
  Constant Field Values

### STR_START_OPTION_MANUAL

    protected static final String STR_START_OPTION_MANUAL

See Also:
  Constant Field Values

### STR_START_OPTION_AUTO

    protected static final String STR_START_OPTION_AUTO

See Also:
  Constant Field Values

### STR_START_OPTION_OVERFLOW_MANUAL

    protected static final String STR_START_OPTION_OVERFLOW_MANUAL

See Also:
  Constant Field Values

### STR_START_OPTION_OVERFLOW_AUTO

    protected static final String STR_START_OPTION_OVERFLOW_AUTO

See Also:
  Constant Field Values

### STR_START_OPTION_UNKNOWN

    protected static final String STR_START_OPTION_UNKNOWN

See Also:
  Constant Field Values

Constructor Detail

### DxConst

    public DxConst()

Method Detail

### getDriverStateString

    public static String getDriverStateString(int state)

  Return human-readable string corresponding to passed driver state value.

  Parameters:
    `state` - driver state value
  Returns:
    "Stopped", "Runnning", etc.

### getDriverStartOptionString

    public static String getDriverStartOptionString(int startOption)

  Return human-readable string corresponding to passed driver start option value.

  Parameters:
    `startOption` - driver start option value
  Returns:
    "Auto", "Manual", etc.

### getMinLogEventNumber

    public static int getMinLogEventNumber()

  Return the minimum log event number.

  Returns:
    minimum log event number.

### getMaxLogEventNumber

    public static int getMaxLogEventNumber()

  Return the maximum log event number.

  Returns:
    maximum log event number.

### getLogEventListSize

    public static int getLogEventListSize()

  Return size needed for an array or list that contains all non-user-defined log event ids.

  Returns:
    LOG_EV_MAX_ID + 1

### getLogEventNumberDescription

    public static String getLogEventNumberDescription(int eventNumber)

  Return a human-readable description of an log event id.

  Parameters:
    `eventNumber` - event number (LOG_EV_*)
  Returns:
    description

### parseDirXMLVersion

    public static int[] parseDirXMLVersion(int version)

  Parse a DirXML version number into its parts.

  In the returned `int` array, the parts are as follows:
  array[0] = major version
  array[1] = minor version
  array[2] = patch level
  array[3] = build number

  Parameters:
    `version` - the packed version number.
  Returns:
    array of 4 `int`s.

### getDirXMLVersionString

    public static String getDirXMLVersionString(int version)

  Return a dot-delimited string given a DirXML version number, eg., "2.0.0.0".

  Parameters:
    `version` - the packed version number.
  Returns:
    version string.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD